package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class PenyebabInfeksiNosokomial
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "PenyebabInfeksiNosokomial_M")
public class PenyebabInfeksiNosokomial extends BaseMaster {
	@NotNull(message = "Kd Penyebab I N tidak boleh kosong")
	@Column(name = "KdPenyebabIN", nullable = false)
	@Caption(value = "Kode Penyebab I N")
	private short kdPenyebabIN;

	public void setKdPenyebabIN(short kdPenyebabIN) {
		this.kdPenyebabIN = kdPenyebabIN;
	}

	public short getKdPenyebabIN() {
		return this.kdPenyebabIN;
	}

	@NotNull(message = "Penyebab I N tidak boleh kosong")
	@Column(name = "PenyebabIN", nullable = false, length = 100)
	@Caption(value = "Penyebab I N")
	private String penyebabIN;

	public void setPenyebabIN(String penyebabIN) {
		this.penyebabIN = penyebabIN;
	}

	public String getPenyebabIN() {
		return this.penyebabIN;
	}

	@NotNull(message = "QPenyebab I N tidak boleh kosong")
	@Column(name = "QPenyebabIN", nullable = false)
	@Caption(value = "QPenyebab I N")
	private short qPenyebabIN;

	public void setqPenyebabIN(short qPenyebabIN) {
		this.qPenyebabIN = qPenyebabIN;
	}

	public short getqPenyebabIN() {
		return this.qPenyebabIN;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.penyebabinfeksinosokomial_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.penyebabinfeksinosokomial_m_id_seq", sequenceName = "public.penyebabinfeksinosokomial_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}